JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::LogicError Class Reference

Exceptions thrown by JSON_ASSERT/JSON_FAIL macros. More...

`#include <json/value.h>`

Inherits Json::Exception.

## Public Member Functions

| LogicError (String const &msg)
Public Member Functions inherited from Json::Exception
| Exception (String msg)
| ~Exception () noexcept override
char const * | what () const noexcept override

## Additional Inherited Members

Protected Attributes inherited from Json::Exception
String | msg_

## Detailed Description

Exceptions thrown by JSON_ASSERT/JSON_FAIL macros.

These are precondition-violations (user bugs) and internal errors (our bugs).

Remarks
  derived from Json::Exception

Definition at line 108 of file value.h.

## Constructor & Destructor Documentation

## LogicError()

Json::LogicError::LogicError | ( | String const & | msg | ) |

Definition at line 235 of file json_value.cpp.

References Json::Exception::Exception().

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_value.cpp